import request from '@/utils/request'

// 查询设备基础信息列表
export function listBasic(query) {
    return request({
        url: '/device/basic/list',
        method: 'get',
        params: query
    })
}

// 查询设备基础信息详细
export function getBasic(id) {
    return request({
        url: '/device/basic/' + id,
        method: 'get'
    })
}

// 新增设备基础信息
export function addBasic(data) {
    return request({
        url: '/device/basic',
        method: 'post',
        data: data
    })
}

// 修改设备基础信息
export function updateBasic(data) {
    return request({
        url: '/device/basic',
        method: 'put',
        data: data
    })
}

// 删除设备基础信息
export function delBasic(id) {
    return request({
        url: '/device/basic/' + id,
        method: 'delete'
    })
}
